-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 3.0 (quilt)
Source: pathos
Binary: python3-pathos, python-pathos-doc
Architecture: all
Version: 0.3.3-1
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>
Homepage: https://github.com/uqfoundation/pathos
Description: Framework for heterogeneous parallel computing
 Pathos provides a consistent high-level interface for configuring and
 launching parallel computations across heterogeneous resources.  It
 provides configurable launchers for parallel and distributed
 computing, where each launcher contains the syntactic logic to
 configure and launch jobs in an execution environment.  Examples of
 launchers include: "pyina", a queue-less MPI-based launcher;
 "pathos", an ssh-based launcher; "multiprocess", a multi-process
 launcher.
 .
 It provides a consistent interface for parallel and/or distributed
 versions of "map" and "apply" for each launcher; the guiding design
 principle is that "map" and "apply" should be drop-in replacements in
 otherwise serial code, reducing the time to conver a code to
 parallel, but also enabling a single code-base to be maintained
 instead of requiring serial, parallel and distributed versions of
 code.
 .
 The "pathos" framework consists of several interoperating packages:
  * "dill": serialize all of Python (python3-dill)
  * "pox": utilities for filesystem exploration and automated builds
    (python3-pox)
  * "klepto": persistent caching to memory, disk, or database
    (python3-klepto)
  * "multiprocess": better multiprocessing and multithreading in Python
    (python3-multiprocess)
  * "ppft": distributed and parallel Python (python3-ppft)
  * "pyina": MPI parallel "map" and cluster scheduling (python3-pyina)
  * "pathos": graph management and execution in heterogeneous computing
    (python3-pathos)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/pathos
Vcs-Git: https://salsa.debian.org/python-team/packages/pathos.git
Testsuite: autopkgtest
Testsuite-Triggers: python3-all
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, pybuild-plugin-pyproject, python3-all, python3-dill (>= 0.3.9), python3-multiprocess (>= 0.70.16), python3-pox (>= 0.3.5), python3-ppft (>= 1.7.6.9), python3-setuptools, python3-sphinx <!nodoc>, python3-sphinx-notfound-page <!nodoc>, python3-sphinx-rtd-theme <!nodoc>
Package-List:
 python-pathos-doc deb doc optional arch=all profile=!nodoc
 python3-pathos deb python optional arch=all
Checksums-Sha1:
 c7aef8a333f91dbbe4f4ea4a181c04438473fabe 153719 pathos_0.3.3.orig.tar.gz
 dd13398fe53163f1434812493b3c0bda4757170f 4528 pathos_0.3.3-1.debian.tar.xz
Checksums-Sha256:
 6671579fa8eaf63e55b0959043c3658f428488b7cd939380e5c7f6d22c541ac5 153719 pathos_0.3.3.orig.tar.gz
 51a5f04eaaa8bb064fec765b808825688aac22ce869acf3846e7633215f89c18 4528 pathos_0.3.3-1.debian.tar.xz
Files:
 f54aaa4bba0d65045040d655605e015a 153719 pathos_0.3.3.orig.tar.gz
 3aa0c8656c8dbd565d3f454e42f5fea3 4528 pathos_0.3.3-1.debian.tar.xz

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEfncpR22H1vEdkazLwpPntGGCWs4FAmcnbIEACgkQwpPntGGC
Ws419BAAvcArVIf40AWd/FC3lrF1hLyAR1/fPmgdJ4sZDbdBDwQa4gMQTuzpKB1n
yEvmoHR/qb1MkzKrJ8+VUIvSG7StIKFSkr+QEphvN4A+NArd7YXTThgxfLcxPmPH
PQ3RPjNaRo9GlkV52m8GDaej1KQ47AvZ6tRJ9PAGW85t9aZqIhwjqxuYuO9DLoax
ferMPq0nVYWhZmLFWkxs3CVlyrn8uTShrqXmroYw3IUjnwZPRJVr7JL5snJfkOqk
FbQeh2kEbUTW3wUmmbY5XD9zHEKDFOkz555CM8WlaZDOOY73MnOiAQFwpkzVFKE9
MTFSPWOMOk1ShxyNcT0c8QZxHZWRBgoW9J2cTi8gwA1QVSMDIkQB8bvauL8EqQwJ
XxmPWHfWSmmsE4pVnSQbu3DSFWikdG+rJYCLTO3ti2VIHPc5DR9VrSMDsG6bhi6i
Qd0mKp1Zi6ifsvWV34Xut257pesN/ip/Hckz81MwUbOFblidiNTKP/XjQnpPkBiI
mZqHnaPl0rrVENR9agm7EDUnIbvK0xT95LB/ZcM6CTpEyWNof5nvBScyiwb//be9
UIwvVAR5VPeJYEYofX3hrzHOnm8yBjPAWH6w3OQBf1UxQmsQ0P3tOwpJB6ESzj9E
QuadDocsqXvhNM5imACpQ5FGzZiu2diTysmDKKy3cHnhTS477cg=
=2DXu
-----END PGP SIGNATURE-----
